sc::TriangulatedSurfaceIntegrator(3)

NAME
sc::TriangulatedSurfaceIntegrator -

SYNOPSIS

  Public Member Functions
TriangulatedSurfaceIntegrator (const Ref< TriangulatedSurface > &)
void operator= (const TriangulatedSurfaceIntegrator &)
TriangulatedSurfaceIntegrator (const TriangulatedSurfaceIntegrator &i)
int n ()
void set_surface (const Ref< TriangulatedSurface > &)
int vertex_number (int i)
double r () const
double s () const
double w () const
double surface_element () const
double weight () const
const SCVector3 & dA () const
Ref< Vertex > current ()
int update ()
int operator< (TriangulatedSurfaceIntegrator &i)
void operator++ ()
void operator++ (int)
int operator= (int)
int itri () const
int irs () const
int n_in_tri () const
void distribute (const Ref< MessageGrp > &)
void use_fast_integrator ()
void use_accurate_integrator ()
void use_default_integrator ()

Author

Generated automatically by Doxygen for MPQC from the source code.